<%@ Page language="c#" Codebehind="SecretTypeEditHeader.aspx.cs" AutoEventWireup="false" Inherits="Thycotic.ihawu.Web.SecretTypeEditHeader" %>
<%@ Register TagPrefix="ihawu" Namespace="Thycotic.ihawu.Web" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="thycotic" Namespace="Thycotic.Foundation.WebControls" Assembly="Thycotic.Foundation.WebControls" %>
<%@ Register TagPrefix="custom" Namespace="Thycotic.ihawu.Web.customcontrols" Assembly="Thycotic.ihawu.Web" %>

<ihawu:masterpage id="masterPage" runat="server">
	<custom:NewDialog id="SecretTypeEditHeaderDialog" runat="server" Caption="Secret Type Designer">
	 <table>
		<tr>
			<td><thycotic:fieldlabel id="SecretTypeNameLabel" runat="server" Text="Secret Type Name" /></td>
			<td width="140px">&nbsp;&nbsp;</td>
			<td><thycotic:textbox width="350px" id="SecretTypeNameTextBox" runat="server" Maxlength="80" /></td>
		</tr>
		<tr>
			<td colspan="3">&nbsp;</td>
		</tr>
		<tr>
			<td colspan="3">
			<p class="Note" style="margin-left:0px; margin-right: 0px;">
			<asp:Literal id="NamingPatternMessageLiteral" runat="server" 
			Text="You can use a naming pattern to enforce a standardized name for this Secret Type. <br/> The naming pattern uses <a target=&quot;_blank&quot; href=&quot;http://en.wikipedia.org/wiki/Regular_Expressions&quot;>Regular Expressions</a>.<br /> For example, the expression <strong>^\w+\\\w+$</strong> would allow &quot;NTDOMAIN01\USER3454&quot; but not<br />&quot;USER3454 on NTDOMAIN01&quot;." />
			</p>
			</td>
		</tr>
		<tr>
			<td><thycotic:fieldlabel id="SecretTypeNamePatternLabel" runat="server" text="Name Pattern"/></td>
			<td><thycotic:BusinessValidator runat="server" id="NamePatternValidator" ErrorMessage="Please enter a valid Name Pattern." /></td>
			<td><asp:TextBox runat="server" width="350px" id="NamePatternTextBox" MaxLength="255" /></td>
		</tr>
		<tr>
			<td valign="top"><thycotic:fieldlabel id="SecretTypeNamePatternErrorMessageLabel" runat="server" text="Name Pattern Error Message"/></td>
			<td><thycotic:maxlengthfieldvalidator id="ErrorMessageMaxlengthFieldValidator" ControlToValidate="NamePatternErrorMessageTextBox" runat="server" Maxlength="255" ErrorMessage="Please enter a Name Pattern of 255 characters or less." /></td>
			<td><asp:TextBox id="NamePatternErrorMessageTextBox" Runat="server" TextMode="Multiline" Rows="3"  width="350px" /></td>
		</tr>
		<tr>
			<td colspan="3">&nbsp;</td>
		</tr>
		<tr>
			<td valign="top"><thycotic:fieldlabel id="SecretTypeDescriptionLabel" runat="server" text="Description"/></td>
			<td><thycotic:maxlengthfieldvalidator id="DescriptionMaxlengthFieldValidator" ControlToValidate="SecretTypeDescriptionTextBox" runat="server" Maxlength="2000" ErrorMessage="Please enter a Description of 2000 characters or less." /></td>
			<td><asp:TextBox id="SecretTypeDescriptionTextBox" Runat="server" TextMode="Multiline" Rows="10"  width="350px" /></td>
		</tr>
		<tr>
			<td><thycotic:fieldlabel id="IsCheckBoxLabel" runat="server" text="Active?"/></td>
			<td>&nbsp;&nbsp;</td>
			<td><thycotic:checkbox id="ActiveCheckBox" runat="server" /></td>
		</tr>
		<tr>
			<td><thycotic:fieldlabel id="SecretNameHistoryFieldLabel" runat="server" text="Keep Secret Name History?"/></td>
			<td>&nbsp;&nbsp;</td>
			<td><thycotic:checkbox id="SecretNameHistoryEnabledCheckBox" AutoPostBack="true" runat="server" /></td>
		</tr>
		<tr runat="server" id="SecretNameHistoryCountRow">
			<td><thycotic:fieldlabel id="SecretNameHistoryCountFieldLabel" runat="server" text="History Length"/></td>
			<td>&nbsp;&nbsp;</td>
			<td>
				<thycotic:TextBox id="SecretNameHistoryCountTextBox" maxlength="9" width="80px" runat="server" />
				<thycotic:businessvalidator id="SecretNameHistoryBusinessValidator" runat="server" />
			</td>
		</tr>
		<tr>
			<td><thycotic:fieldlabel id ="ExpirationEnabledLabel" runat="server" text="Expiration Enabled?" /></td>
			<td>&nbsp;&nbsp;</td>
			<td><thycotic:checkbox id="ExpirationEnabledCheckBox" runat="server" /></td>
		</tr>
		<tr runat="server" id="TableRow1">
			<td></td>
			<td style="text-align:right;" ><thycotic:label id = "ExpirationDaysLabel" runat="server" text="Days"/></td>
			<td>
				<thycotic:textbox maxlength=9 width="80" id="ExpirationDaysTextBox" runat="server"/>
				<thycotic:businessvalidator id="ExpirationDaysBusinessValidator" runat="server" />
			</td>
		</tr>
		<tr runat="server" id="TableRow2">
			<td></td>
			<td style="text-align:right;"><thycotic:label id = "ExpirationFieldLabel" runat="server" text="Change Required On"/></td>
			<td><thycotic:dropdownlist width="200px" id="ExpirationFieldDropDown" runat="server"/></td>
		</tr>
		<tr>
			<td>
				<br>
				<thycotic:button id="SaveButton" runat="server" text="Save"/>
				<thycotic:button  id="CancelButton" runat="server" text="Cancel"/>
			</td>
		</tr>
		</table>	
	</custom:NewDialog>
</ihawu:masterpage>

